Developer Documentation

Public Member Functions | Private Attributes | List of all members
PostProcessorManager Class Reference

## Public Member Functions
bool | postProcessorExists (QString _name)
| Check if a post processor with the given name exists. More...
PostProcessorInfo * | newPostProcessor (QString _name)
| Get a new post processor Instance. More...
PostProcessorInfo * | getPostProcessor (QString _name)
| get post processor with the given name More...
PostProcessorInfo * | operator[] (unsigned int _id)
| Get the post processor with the given id. More...
size_t | available ()
| number of available post processor More...
void | setActive (unsigned int _active, int _viewerId)
| set the active post processor for viewer More...
void | setActive (QString _active, int _id)
| Set the active post processor for viewer. More...
unsigned int | activeId (int _id, int _chainIdx=0)
| Get the id of the active post processor for viewer at chain index. More...
PostProcessorInfo * | active (int _id, int _chainIdx=0)
| Get the current active post processor for viewer at chain index. More...
Support for multiple post-processors per viewer
void | append (unsigned int _active, int _viewerId)
| Append the active post processor to the chain for viewer. More...
void | append (QString _active, int _id)
| Append the active post processor to the chain for viewer. More...
void | insert (unsigned int _active, int _chainIdx, int _viewerId)
| Insert the active post processor to the chain for viewer. More...
void | insert (QString _active, int _chainIdx, int _id)
| Insert the active post processor to the chain for viewer. More...
void | remove (int _id, int _chainIdx)
| Remove a post processor at the specified chain index. More...
int | numActive (int _id)
| Get the number of active post processors for viewer. More...

## Private Attributes
std::vector< PostProcessorInfo > | availablePostProcessors_
| Vector holding all available post processors.
std::vector< std::vector< unsigned int > > | activePostProcessors_
| The currently active post processor chain.

## Detailed Description

Definition at line 210 of file RendererInfo.hh.

## Member Function Documentation

## ◆ active()

PostProcessorInfo * PostProcessorManager::active | ( | int | _id,
|  | int | _chainIdx = `0`
| ) |  |

Get the current active post processor for viewer at chain index.

Parameters

  _id | ViewerId
  _chainIdx | Post processor chain index

Returns
  post processor

Definition at line 317 of file RendererInfo.cc.

## ◆ activeId()

unsigned int PostProcessorManager::activeId | ( | int | _id,
|  | int | _chainIdx = `0`
| ) |  |

Get the id of the active post processor for viewer at chain index.

Parameters

  _id | ViewerId
  _chainIdx | Post processor chain index

Returns
  post processor id

Definition at line 333 of file RendererInfo.cc.

## ◆ append() [1/2]

void PostProcessorManager::append | ( | unsigned int | _active,
|  | int | _viewerId
| ) |  |

Append the active post processor to the chain for viewer.

Parameters

  _viewerId | viewer id
  _active | id of the post processor

Definition at line 362 of file RendererInfo.cc.

## ◆ append() [2/2]

void PostProcessorManager::append | ( | QString | _active,
|  | int | _id
| ) |  |

Append the active post processor to the chain for viewer.

Parameters

  _id | viewer id
  _active | name of the post processor

Definition at line 381 of file RendererInfo.cc.

## ◆ available()

size_t PostProcessorManager::available | ( |  | ) |

number of available post processor

Returns
  number of available post processor

Definition at line 274 of file RendererInfo.cc.

## ◆ getPostProcessor()

PostProcessorInfo * PostProcessorManager::getPostProcessor | ( | QString | _name | ) |

get post processor with the given name

Parameters

  _name | Name of the post processor

Returns
  pointer or 0 if it does not exist

Definition at line 256 of file RendererInfo.cc.

## ◆ insert() [1/2]

void PostProcessorManager::insert | ( | unsigned int | _active,
|  | int | _chainIdx,
|  | int | _viewerId
| ) |  |

Insert the active post processor to the chain for viewer.

Parameters

  _viewerId | viewer id
  _chainIdx | Post processor chain index
  _active | id of the post processor

Definition at line 401 of file RendererInfo.cc.

## ◆ insert() [2/2]

void PostProcessorManager::insert | ( | QString | _active,
|  | int | _chainIdx,
|  | int | _id
| ) |  |

Insert the active post processor to the chain for viewer.

Parameters

  _active | name of the post processor
  _chainIdx | Post processor chain index
  _id | viewer id

Definition at line 420 of file RendererInfo.cc.

## ◆ newPostProcessor()

PostProcessorInfo * PostProcessorManager::newPostProcessor | ( | QString | _name | ) |

Get a new post processor Instance.

Parameters

  _name | Name of the new post processor

Returns
  Pointer to post processor. If it exists, the existing one is returned!

Definition at line 244 of file RendererInfo.cc.

## ◆ numActive()

int PostProcessorManager::numActive | ( | int | _id | ) |

Get the number of active post processors for viewer.

Parameters

  _id | ViewerId

Returns
  PostProcessor count

Definition at line 349 of file RendererInfo.cc.

## ◆ operator[]()

PostProcessorInfo * PostProcessorManager::operator[] | ( | unsigned int | _id | ) |

Get the post processor with the given id.

Parameters

  _id | Id of the post processor

Returns

Definition at line 265 of file RendererInfo.cc.

## ◆ postProcessorExists()

bool PostProcessorManager::postProcessorExists | ( | QString | _name | ) |

Check if a post processor with the given name exists.

Parameters

  _name | Name of the post processor

Returns
  exists or not

Definition at line 234 of file RendererInfo.cc.

## ◆ remove()

void PostProcessorManager::remove | ( | int | _id,
|  | int | _chainIdx
| ) |  |

Remove a post processor at the specified chain index.

Parameters

  _id | viewer id
  _chainIdx | Post processor chain index

Definition at line 439 of file RendererInfo.cc.

## ◆ setActive() [1/2]

void PostProcessorManager::setActive | ( | unsigned int | _active,
|  | int | _viewerId
| ) |  |

set the active post processor for viewer

Parameters

  _viewerId | viewer id
  _active | id of the post processor

Definition at line 278 of file RendererInfo.cc.

## ◆ setActive() [2/2]

void PostProcessorManager::setActive | ( | QString | _active,
|  | int | _id
| ) |  |

Set the active post processor for viewer.

This will reset the current post processor chain to one active post processor (the given one)

Parameters

  _id | viewer id
  _active | name of the post processor

Definition at line 295 of file RendererInfo.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/common/RendererInfo.hh
- OpenFlipper/common/RendererInfo.cc